/*
Justin Slud
SURF 2019
Convert to whichever filetypes specified using meshlabserver and sorts the files by surface name
command structure: node convert.js [path to original files] [extensions to convert to]
sample command: node convert.js Z:/aframe/data off dxf ply
run node convert.js to see info
*/
const shell = require('C:/users/jas23/appdata/roaming/npm/node_modules/shelljs')
const fs = require('fs')
const path = require('path')

const argv = process.argv
const data = argv[2]
const oldPath = data + '/'
const args = argv.slice(3)
const types = ['ctm', 'dae', 'dxf', 'fbx', 'json', 'obj', 'off', 'ply', 'stl', 'wrl', 'x3d', 'xyz']
const oldExtension = path.extname(fs.readdirSync(data)[0]).slice(1);

function makeFolder(name) {
	try {
		fs.statSync(name)
	} catch(e) {
		fs.mkdirSync(name)
	}
}

function help() {
	console.log('command structure: node convert.js [path to original files] [extensions to convert to] \n')
	console.log('possible file extensions: ' + types + '\n')
	console.log('to convert to all file extensions run: node convert.js [path to original files] all \n')
	console.log('sample command: node convert.js Z:/aframe/data dxf off\n')
	process.exit()
}

if (args.includes('all')) args = types
if (args.length == 0) help()
if (args.includes('help')) help()

args.forEach(newExtension => {
	if (!types.includes(newExtension)) {
		console.log('could not convert to ' + newExtension + '\n')
	} else {
		fs.readdir(data, (err, files) => {
			files.forEach(surface => {
				var cutPath = data.substr(0, data.indexOf(oldExtension))
				var cutSurface = surface.substr(0, surface.indexOf('.'))
				makeFolder(cutPath + '/' + cutSurface)
				var newPath = cutPath + cutSurface + '/' + cutSurface + '.' + newExtension			
				command = 'meshlabserver -i ' + oldPath + surface + ' -o ' + newPath
				shell.cd('C:/program files/vcg/meshlab') 
				shell.exec(command)
				
			})	
		})
	}
})

