/*
Justin Slud
SURF 2019
Takes glb files from testfolder and converts them to gltf in a new folder
*/
const fs = require('fs')
const gltfPipeline = require('C:/Users/jas23/3dmodels/gltf-pipeline')
const fsExtra = require('C:/Users/jas23/3dmodels/gltf-pipeline/node_modules/fs-extra')
const path = require('path')
const glbToGltf = gltfPipeline.glbToGltf

function makeFolder(name) {
	try {
		fs.statSync(name)
	} catch(e) {
		fs.mkdirSync(name)
	}
}

// folder containing original files
const testfolder = 'Z:/aframe/3dmodels/gltf/'
fs.readdir(testfolder, (err, files) => {		
	files.forEach(function(file) {
		var cutfilename = file.substr(0, file.indexOf('.'))
		var gltfname = cutfilename + '.gltf'
		var pathname = testfolder + file
		var glb = fsExtra.readFileSync(pathname)
		makeFolder('Z:/aframe/3dmodels/' + cutfilename)		
		glbToGltf(glb)
			.then(function(results) {
				fsExtra.writeJsonSync('Z:/aframe/3dmodels/' + cutfilename + '/' + gltfname, results.gltf)
		});		
	});
});

