Installation, Setup, and NodeJS
- Get files in stl, obj, ply, or any file compatible with meshlab import
- Run script in node by cd to folder and then node yourScript.js
- NPM doesn't like to install new packages in program files. They normally install to C:/users/yourUsername/AppData/Roaming/npm/node_modules
- Install shelljs package with npm install -g shelljs

Workflow 
- Convert glb or gltf to stl or obj or ply using 3d builder manually. This allows you to remove the extra pieces or edit the model
- Use meshlabserver to convert from the result from step 1 to all other file types offered by meshlab export. Several of their options did not work when I ran the code: 3ds, u3d, idtf. Run this script and then change the specified lines containing the desired file extension and rerun
- Use zipFolder.js to create a zip file for each of the folders above


Notes on the surfaces
- They are roughly on the scale of a cubic meter, but can be scaled down using filters => normals, curverature, orientation => transform: scale, normalize
- They are also zero thickness, but can be somewhat thickened using filters => remeshing, simplication, and reconstructing => uniform mesh resampling. Check absolute distance to specify a distance from each point to extrude outward. Not an exact process and takes a while to change.
- The boxes on the surface should be cut off eventually.

Steps for converting glb to gltf or gltf to glb
- Install gltf-pipeline with npm install -g gltf-pipeline
- Edit glbTogltfConvert.js according to comments and origin / destination folders
- Write node glbTogltfConvert.js

Steps for meshlab converting
- Run node convert.js for instructions. This script takes additional arguments and whereas the other scripts have hard-coded references.

Steps for converting to more 3d model types
- There is a software called Noesis that has additional conversions to mdr, 3mf, and 8 or so more. NIST antivirus does not like the software, but it is legit. I can convert them on my computer easily if you reach out, or you can download the newest version use node noesisConvert.js after editing the file
- I have not looked at these resources but would check out Blender or Unity or online converters. But 99% of the people downloading files could find what they are looking for or convert to their desired file type on their own.

Steps for zipping files
- Edit zipFolder.js according to comments and origin / destination folders
- For zipping all files in a folder, you would nagivative to where 7z.exe is, likely C:/users/yourUsername/program files/7-zip and write 7z a -t7z pathToZippedFolder/zippedFolder.7z pathToFolderToZip/* 
- For zipping all files in multiple files, write node zipFolder.js

